# Interface EventCallback

Five 事件列表

#### Description

可以通过 `five.on(METHOD_NAME, METHOD)` 调用

interface EventCallback {
"camera.update"(event: StateEvent): void;
cameraDirectionUpdate(
coordinates: Pick<Pose, "longitude" | "latitude">,
userAction: boolean,
): void;
cameraFovUpdate(fov: number, userAction: boolean): void;
cameraPositionUpdate(offset: Vector3, userAction: boolean): void;
cameraUpdate(pose: Pose, userAction: boolean): void;
"currentState.change"(event: StateEvent): void;
currentStateChange(state: State, userAction: boolean): void;
dblTapGesture(
raycaster: Raycaster,
tapPosition: Vector2,
final: boolean,
): void;
dispose(): void;
error(error: Error): void;
fps(fps: number): void;
gesture(
type: GestureTypes,
pointers: { delta?: number; x: number; y: number }[],
final: boolean,
): void;
"gesture.dbltap"(event: GestureEvent): void;
"gesture.fire"(event: GestureEvent): void;
"gesture.momentum"(event: GestureEvent): void;
"gesture.mousemove"(event: GestureEvent): void;
"gesture.mousewheel"(event: GestureEvent): void;
"gesture.pan"(event: GestureEvent): void;
"gesture.pinch"(event: GestureEvent): void;
"gesture.press"(event: GestureEvent): void;
"gesture.tap"(event: GestureEvent): void;
"helpers.visible"(event: ObjectEvent): void;
helpersVisibleChange(visible: boolean): void;
"initAnimation.end"(event: StateEvent): void;
"initAnimation.start"(event: StateEvent): void;
initAnimationEnded(
panoIndex: number,
pose: Pose,
userAction: boolean,
): void;
initAnimationWillStart(
panoIndex: number,
pose: Pose,
userAction: boolean,
): void;
interiaPan(pose: Pose, final: boolean): void;
"intersect.update"(event: IntersectEvent): void;
intersectionHidden(): void;
intersectionOnModelUpdate(intersection: Intersection, mesh: Object3D): void;
load(input: any, work: Work, state: Partial<State>): void;
loaded(input: any, work: Work): void;
"mode.change"(event: ModeChangeEvent): void;
"mode.change.request"(event: ModeChangeEvent): void;
modeChange(
mode: Mode,
prevMode: Mode,
panoIndex: number,
toPose: Pose,
userAction: boolean,
): void;
"model.changeShownFloor"(event: ModelEvent): void;
"model.error"(event: ModelEvent): void;
"model.load"(event: ModelEvent): void;
"model.request"(event: ModelEvent): void;
modelLoaded(model: Model): void;
modelLoadError(error: Error, model: Model): void;
"models.load"(event: ModelSceneEvent): void;
"models.refined"(event: ModelSceneEvent): void;
"models.tileLoad"(event: ModelTileEvent): void;
"models.tileUnload"(event: ModelTileEvent): void;
modelShownFloorChange(shownFloor: number | null, floorLength: number): void;
modelWillLoad(workModel: WorkModel): void;
mouseWheel(delta: number, fov: number, final: boolean): void;
moveToPano(panoIndex: number, userAction: boolean): void;
moveToPanoCanceled(panoIndex: number): void;
movingToPano(
panoIndex: number,
prevPanoIndex: number,
progress: number,
): void;
network(
source: string,
type: NetworkType,
state: NetworkState,
detail: string,
): void;
"network.resource"(event: NetworkResourceEvent): void;
panGesture(pose: Pose, final: boolean): void;
"pano.arrived"(event: PanoEvent): void;
"pano.cancel"(event: PanoEvent): void;
"pano.error"(event: PanoEvent): void;
"pano.moveTo"(event: PanoEvent): void;
"pano.moving"(event: PanoEvent): void;
"pano.prepare"(event: PanoPrepareEvent): void;
"pano.request"(event: PanoEvent): void;
"pano.select"(event: PanoEvent): void;
"pano.texture.abort"(event: PanoTextureEvent): void;
"pano.texture.error"(event: PanoTextureEvent): void;
"pano.texture.load"(event: PanoTextureEvent): void;
"pano.texture.progress"(event: PanoTextureEvent): void;
"pano.texture.success"(event: PanoTextureEvent): void;
panoArrived(panoIndex: number, pose: Pose, userAction: boolean): void;
panoLoaded(panoIndex: number): void;
panoLoadError(error: Error, panoIndex: number): void;
panoSelected(panoIndex: number | null): void;
panoWillArrive(panoIndex: number, pose: Pose, userAction: boolean): void;
panoWillLoad(panoIndex: number): void;
pinchGesture(scale: number, fov: number, final: boolean): void;
pressGesture(
raycaster: Raycaster,
tapPosition: Vector2,
duration: number,
final: boolean,
): void;
render(event: RenderEvent): void;
"render.prepare"(event: RenderEvent): void;
renderFrame(rendered: boolean): void;
setState(state: State): void;
"state.change"(event: StateEvent): void;
"state.set"(event: StateEvent): void;
"state.synced"(event: StateEvent): void;
stateChange(state: State, userAction: boolean): void;
stateSynced(state: State): void;
tapGesture(
raycaster: Raycaster,
tapPosition: Vector2,
final: boolean,
): void;
textureAbort(panoIndex: number): void;
textureError(error: Error, panoIndex: number): void;
textureLoaded(panoIndex: number, meta: (NetWorkMeta | null)[]): void;
textureLoading(progress: number, panoIndex: number): void;
textureStartLoad(panoIndex: number): void;
wantsChangeCameraFov(fov: number): false | void;
wantsChangeMode(mode: Mode, prevMode: Mode): false | void;
wantsDblTapGesture(
raycaster: Raycaster,
tapPosition: Vector2,
final: boolean,
): false | void;
wantsGesture(
type: GestureTypes,
pointers: { delta?: number; x: number; y: number }[],
final: boolean,
): false | void;
wantsInteriaPan(pose: Pose): false | void;
wantsMouseWheel(
delta: number,
nextFov: number,
final: boolean,
): false | void;
wantsMoveToPano(
panoIndex: number,
options: MovePanoOptions,
userAction: boolean,
): false | void;
wantsPanGesture(pose: Pose, final: boolean): false | void;
wantsPinchGesture(
scale: number,
nextFov: number,
final: boolean,
): false | void;
wantsPressGesture(
raycaster: Raycaster,
tapPosition: Vector2,
duration: number,
final: boolean,
): false | void;
wantsShowIntersectionOnModel(raycaster: Raycaster): false | void;
wantsTapGesture(
raycaster: Raycaster,
tapPosition: Vector2,
final: boolean,
): false | void;
wantsToMoveToPano(
panoIndex: number,
options: MovePanoOptions,
userAction: boolean,
): void;
webXRAxesUpdate(type: "left" | "right", param: WebXRAxesParams): void;
webXRControllerEvent(
type: WebXRControllerType,
key:
| "Y"
| "X"
| "B"
| "A"
| "RightTrigger"
| "RightPinch"
| "LeftTrigger"
| "LeftPinch"
| "LeftAxesLeft"
| "LeftAxesRight"
| "LeftAxesUp"
| "LeftAxesDown"
| "RightAxesLeft"
| "RightAxesRight"
| "RightAxesUp"
| "RightAxesDown",
params: WebXRControllerParams,
): void;
webXRControllerRayUpdate(
raycaster: { leftRay?: Raycaster; rightRay?: Raycaster },
): void;
webXRSessionEnd(): void;
webXRSessionStart(): void;
willLoad(input: any, work: Work, state: Partial<State>): void;
"works.load"(event: WorksEvent): void;
"works.ready"(event: WorksEvent): void;
"works.request"(event: WorksEvent): void;
"xr.controller.update"(event: XRControllerEvent): void;
"xr.gesture.buttonDown"(event: XRGestureEvent): void;
"xr.gesture.buttonUp"(event: XRGestureEvent): void;
"xr.gesture.press"(event: XRGestureEvent): void;
"xr.gesture.tap"(event: XRGestureEvent): void;
"xr.session.end"(event: XRSessionEvent): void;
"xr.session.start"(event: XRSessionEvent): void;
}

#### Hierarchy (View Summary)

- EventTypes
  - EventCallback

- Defined in lib/five/application/events.ts:135

##### Index

### Methods

camera.update
cameraDirectionUpdate
cameraFovUpdate
cameraPositionUpdate
cameraUpdate
currentState.change
currentStateChange
dblTapGesture
dispose
error
fps
gesture
gesture.dbltap
gesture.fire
gesture.momentum
gesture.mousemove
gesture.mousewheel
gesture.pan
gesture.pinch
gesture.press
gesture.tap
helpers.visible
helpersVisibleChange
initAnimation.end
initAnimation.start
initAnimationEnded
initAnimationWillStart
interiaPan
intersect.update
intersectionHidden
intersectionOnModelUpdate
load
loaded
mode.change
mode.change.request
modeChange
model.changeShownFloor
model.error
model.load
model.request
modelLoaded
modelLoadError
models.load
models.refined
models.tileLoad
models.tileUnload
modelShownFloorChange
modelWillLoad
mouseWheel
moveToPano
moveToPanoCanceled
movingToPano
network
network.resource
panGesture
pano.arrived
pano.cancel
pano.error
pano.moveTo
pano.moving
pano.prepare
pano.request
pano.select
pano.texture.abort
pano.texture.error
pano.texture.load
pano.texture.progress
pano.texture.success
panoArrived
panoLoaded
panoLoadError
panoSelected
panoWillArrive
panoWillLoad
pinchGesture
pressGesture
render
render.prepare
renderFrame
setState
state.change
state.set
state.synced
stateChange
stateSynced
tapGesture
textureAbort
textureError
textureLoaded
textureLoading
textureStartLoad
wantsChangeCameraFov
wantsChangeMode
wantsDblTapGesture
wantsGesture
wantsInteriaPan
wantsMouseWheel
wantsMoveToPano
wantsPanGesture
wantsPinchGesture
wantsPressGesture
wantsShowIntersectionOnModel
wantsTapGesture
wantsToMoveToPano
webXRAxesUpdate
webXRControllerEvent
webXRControllerRayUpdate
webXRSessionEnd
webXRSessionStart
willLoad
works.load
works.ready
works.request
xr.controller.update
xr.gesture.buttonDown
xr.gesture.buttonUp
xr.gesture.press
xr.gesture.tap
xr.session.end
xr.session.start

## Methods

### camera.update

- "camera.update"(event: StateEvent): void

  相机改变

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.camera.update

  - Defined in lib/five/controllers/events.ts:39

### cameraDirectionUpdate

- cameraDirectionUpdate(
  coordinates: Pick<Pose, "longitude" | "latitude">,
  userAction: boolean,
  ): void

  相机姿态中相机方向变化

  #### Parameters

  - coordinates: Pick<Pose, "longitude" | "latitude">

    相机姿态的俯仰角和偏航角

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.cameraDirectionUpdate

  - Defined in lib/five/application/events-legacy.ts:226

### cameraFovUpdate

- cameraFovUpdate(fov: number, userAction: boolean): void

  相机姿态中可视角度变化

  #### Parameters

  - fov: number

    相机的可视角度

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.cameraFovUpdate

  - Defined in lib/five/application/events-legacy.ts:212

### cameraPositionUpdate

- cameraPositionUpdate(offset: Vector3, userAction: boolean): void

  相机姿态中相机位置变化

  #### Parameters

  - offset: Vector3

    相机位置

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.cameraPositionUpdate

  - Defined in lib/five/application/events-legacy.ts:219

### cameraUpdate

- cameraUpdate(pose: Pose, userAction: boolean): void

  相机姿态变化

  #### Parameters

  - pose: Pose

    相机姿态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.cameraUpdate

  - Defined in lib/five/application/events-legacy.ts:205

### currentState.change

- "currentState.change"(event: StateEvent): void

  当前 state 变化

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.currentState.change

  - Defined in lib/five/application/events.ts:79

### currentStateChange

- currentStateChange(state: State, userAction: boolean): void

  当前实时 state 变化时

  #### Parameters

  - state: State

    当前姿态状态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.currentStateChange

  - Defined in lib/five/application/events-legacy.ts:432

### dblTapGesture

- dblTapGesture(raycaster: Raycaster, tapPosition: Vector2, final: boolean): void

  dbltap 手势(点击屏幕) 被触发

  #### Parameters

  - raycaster: Raycaster

    点击对应的三维射线

  - tapPosition: Vector2

    点击对应的屏幕位置

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.dblTapGesture

  - Defined in lib/five/application/events-legacy.ts:122

### dispose

- dispose(): void

  five 被析构。 插件中请监听用于自身析构

  #### Returns void

  Inherited from EventTypes.dispose

  - Defined in lib/five/application/events.ts:127

### error

- error(error: Error): void

  内部错误

  #### Parameters

  - error: Error

  #### Returns void

  Inherited from EventTypes.error

  - Defined in lib/five/application/events.ts:58

### fps

- fps(fps: number): void

  当前 fps 变化

  #### Parameters

  - fps: number

  #### Returns void

  Inherited from EventTypes.fps

  - Defined in lib/five/application/events.ts:124

### gesture

- gesture(
  type: GestureTypes,
  pointers: { delta?: number; x: number; y: number }[],
  final: boolean,
  ): void

  手势 触发

  #### Parameters

  - type: GestureTypes

    手势类型

  - pointers: { delta?: number; x: number; y: number }[]

    手指位置

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.gesture

  - Defined in lib/five/application/events-legacy.ts:73

### gesture.dbltap

- "gesture.dbltap"(event: GestureEvent): void

  手势 双击屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.dbltap

  - Defined in lib/five/controllers/events.ts:12

### gesture.fire

- "gesture.fire"(event: GestureEvent): void

  手势被触发

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.fire

  - Defined in lib/five/controllers/events.ts:30

### gesture.momentum

- "gesture.momentum"(event: GestureEvent): void

  手势 惯性

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.momentum

  - Defined in lib/five/controllers/events.ts:27

### gesture.mousemove

- "gesture.mousemove"(event: GestureEvent): void

  手势 鼠标移动

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.mousemove

  - Defined in lib/five/controllers/events.ts:24

### gesture.mousewheel

- "gesture.mousewheel"(event: GestureEvent): void

  手势 鼠标滚轮

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.mousewheel

  - Defined in lib/five/controllers/events.ts:21

### gesture.pan

- "gesture.pan"(event: GestureEvent): void

  手势 滑动屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.pan

  - Defined in lib/five/controllers/events.ts:6

### gesture.pinch

- "gesture.pinch"(event: GestureEvent): void

  手势 双指缩放

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.pinch

  - Defined in lib/five/controllers/events.ts:18

### gesture.press

- "gesture.press"(event: GestureEvent): void

  手势 长按屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.press

  - Defined in lib/five/controllers/events.ts:15

### gesture.tap

- "gesture.tap"(event: GestureEvent): void

  手势 点击屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  Inherited from EventTypes.gesture.tap

  - Defined in lib/five/controllers/events.ts:9

### helpers.visible

- "helpers.visible"(event: ObjectEvent): void

  改变 helpers 元素可见

  #### Parameters

  - event: ObjectEvent

  #### Returns void

  Inherited from EventTypes.helpers.visible

  - Defined in lib/five/application/events.ts:118

### helpersVisibleChange

- helpersVisibleChange(visible: boolean): void

  帮助元素显应的变换

  #### Parameters

  - visible: boolean

    帮助元素的是否开启

  #### Returns void

  Inherited from EventTypes.helpersVisibleChange

  - Defined in lib/five/application/events-legacy.ts:499

### initAnimation.end

- "initAnimation.end"(event: StateEvent): void

  模态切换动画 结束

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.initAnimation.end

  - Defined in lib/five/controllers/events.ts:36

### initAnimation.start

- "initAnimation.start"(event: StateEvent): void

  模态切换动画 开始

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.initAnimation.start

  - Defined in lib/five/controllers/events.ts:33

### initAnimationEnded

- initAnimationEnded(panoIndex: number, pose: Pose, userAction: boolean): void

  模态间切换动画结束

  #### Parameters

  - panoIndex: number

    当前点位

  - pose: Pose

    相机姿态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.initAnimationEnded

  - Defined in lib/five/application/events-legacy.ts:56

### initAnimationWillStart

- initAnimationWillStart(panoIndex: number, pose: Pose, userAction: boolean): void

  模态间切换动画开始

  #### Parameters

  - panoIndex: number

    当前点位

  - pose: Pose

    相机姿态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.initAnimationWillStart

  - Defined in lib/five/application/events-legacy.ts:48

### interiaPan

- interiaPan(pose: Pose, final: boolean): void

  pan 手势(滑动屏幕) 的惯性运动

  #### Parameters

  - pose: Pose

    意图的相机姿态

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.interiaPan

  - Defined in lib/five/application/events-legacy.ts:189

### intersect.update

- "intersect.update"(event: IntersectEvent): void

  #### Parameters

  - event: IntersectEvent

  #### Returns void

  Inherited from EventTypes.intersect.update

  - Defined in lib/five/controllers/events.ts:41

### intersectionHidden

- intersectionHidden(): void

  鼠标焦点环被隐藏

  #### Returns void

  Inherited from EventTypes.intersectionHidden

  - Defined in lib/five/application/events-legacy.ts:243

### intersectionOnModelUpdate

- intersectionOnModelUpdate(intersection: Intersection, mesh: Object3D): void

  鼠标焦点环位置被重新计算

  #### Parameters

  - intersection: Intersection

    焦点碰撞结果

  - mesh: Object3D

    焦点环 mesh

  #### Returns void

  Inherited from EventTypes.intersectionOnModelUpdate

  - Defined in lib/five/application/events-legacy.ts:233

### load

- load(input: any, work: Work, state: Partial<State>): void

  开始加载 Work 数据

  #### Parameters

  - input: any

    输入的 work

  - work: Work

    归一化的标准 work

  - state: Partial<State>

    加载时的姿态

  #### Returns void

  Inherited from EventTypes.load

  - Defined in lib/five/application/events-legacy.ts:411

### loaded

- loaded(input: any, work: Work): void

  加载完 Work 数据

  #### Parameters

  - input: any

    输入的 work

  - work: Work

    归一化的标准 work

  #### Returns void

  Inherited from EventTypes.loaded

  - Defined in lib/five/application/events-legacy.ts:418

### mode.change

- "mode.change"(event: ModeChangeEvent): void

  改变 mode

  #### Parameters

  - event: ModeChangeEvent

  #### Returns void

  Inherited from EventTypes.mode.change

  - Defined in lib/five/application/events.ts:115

### mode.change.request

- "mode.change.request"(event: ModeChangeEvent): void

  请求改变 mode

  #### Parameters

  - event: ModeChangeEvent

  #### Returns void

  Inherited from EventTypes.mode.change.request

  - Defined in lib/five/application/events.ts:112

### modeChange

- modeChange(
  mode: Mode,
  prevMode: Mode,
  panoIndex: number,
  toPose: Pose,
  userAction: boolean,
  ): void

  模态切换完成

  #### Parameters

  - mode: Mode

    切换到的模态

  - prevMode: Mode

    上本质是一个模态

  - panoIndex: number

    初始化动画结束后的点位下标

  - toPose: Pose

    初始化动画结束后的状态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.modeChange

  - Defined in lib/five/application/events-legacy.ts:493

### model.changeShownFloor

- "model.changeShownFloor"(event: ModelEvent): void

  当模型修改楼层

  #### Parameters

  - event: ModelEvent

  #### Returns void

  Inherited from EventTypes.model.changeShownFloor

  - Defined in lib/five/application/events.ts:91

### model.error

- "model.error"(event: ModelEvent): void

  当模型错误

  #### Parameters

  - event: ModelEvent

  #### Returns void

  Inherited from EventTypes.model.error

  - Defined in lib/five/application/events.ts:88

### model.load

- "model.load"(event: ModelEvent): void

  当模型修改楼层

  #### Parameters

  - event: ModelEvent

  #### Returns void

  Inherited from EventTypes.model.load

  - Defined in lib/five/application/events.ts:85

### model.request

- "model.request"(event: ModelEvent): void

  当模型加载

  #### Parameters

  - event: ModelEvent

  #### Returns void

  Inherited from EventTypes.model.request

  - Defined in lib/five/application/events.ts:82

### modelLoaded

- modelLoaded(model: Model): void

  模型加载完成

  #### Parameters

  - model: Model

    加载完的 model

  #### Returns void

  Inherited from EventTypes.modelLoaded

  - Defined in lib/five/application/events-legacy.ts:463

### modelLoadError

- modelLoadError(error: Error, model: Model): void

  模型加载错误

  #### Parameters

  - error: Error

    错误对象

  - model: Model

    加载完的 model

  #### Returns void

  Inherited from EventTypes.modelLoadError

  - Defined in lib/five/application/events-legacy.ts:457

### models.load

- "models.load"(event: ModelSceneEvent): void

  模型加载完成

  #### Parameters

  - event: ModelSceneEvent

  #### Returns void

  Inherited from EventTypes.models.load

  - Defined in lib/five/application/events.ts:94

### models.refined

- "models.refined"(event: ModelSceneEvent): void

  模型细化完成

  #### Parameters

  - event: ModelSceneEvent

  #### Returns void

  Inherited from EventTypes.models.refined

  - Defined in lib/five/application/events.ts:97

### models.tileLoad

- "models.tileLoad"(event: ModelTileEvent): void

  模型加载完成

  #### Parameters

  - event: ModelTileEvent

  #### Returns void

  Inherited from EventTypes.models.tileLoad

  - Defined in lib/five/application/events.ts:100

### models.tileUnload

- "models.tileUnload"(event: ModelTileEvent): void

  模型加载完成

  #### Parameters

  - event: ModelTileEvent

  #### Returns void

  Inherited from EventTypes.models.tileUnload

  - Defined in lib/five/application/events.ts:103

### modelShownFloorChange

- modelShownFloorChange(shownFloor: number | null, floorLength: number): void

  模型楼层切换

  #### Parameters

  - shownFloor: number | null

    模型楼层

  - floorLength: number

  #### Returns void

  Inherited from EventTypes.modelShownFloorChange

  - Defined in lib/five/application/events-legacy.ts:469

### modelWillLoad

- modelWillLoad(workModel: WorkModel): void

  模型开始加载

  #### Parameters

  - workModel: WorkModel

    归一化的标准 work 中的 model 值

  #### Returns void

  Inherited from EventTypes.modelWillLoad

  - Defined in lib/five/application/events-legacy.ts:450

### mouseWheel

- mouseWheel(delta: number, fov: number, final: boolean): void

  鼠标滚轮被触发

  #### Parameters

  - delta: number

    滚轮数值

  - fov: number

    意图的fov变更

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.mouseWheel

  - Defined in lib/five/application/events-legacy.ts:175

### moveToPano

- moveToPano(panoIndex: number, userAction: boolean): void

  开始加载并移动到某个观察点位

  #### Parameters

  - panoIndex: number

    移动到的点位

  - userAction: boolean

    是否用户触发

  #### Returns void

  #### Description

  可 panoWillArrive 相比

  - moveToPano 在加载全景图资源前触发
  - panoWillArrive 在加载全景图资源后触发

  Inherited from EventTypes.moveToPano

  - Defined in lib/five/application/events-legacy.ts:279

### moveToPanoCanceled

- moveToPanoCanceled(panoIndex: number): void

  移动到某个观察点位被取消

  #### Parameters

  - panoIndex: number

    对应的点位

  #### Returns void

  #### Description

  这个有一些情况会导致

  - 移动过程中切换模态
  - 移动过程中 five 被析构
  - 移动过程点击切换到另一个点位

  Inherited from EventTypes.moveToPanoCanceled

  - Defined in lib/five/application/events-legacy.ts:337

### movingToPano

- movingToPano(panoIndex: number, prevPanoIndex: number, progress: number): void

  移动中， 会告知移动状态（耗时百分比）

  #### Parameters

  - panoIndex: number

    将要移动到的点位下标

  - prevPanoIndex: number

    上一个点位下标

  - progress: number

    整个过程经度 [0-1]

  #### Returns void

  Inherited from EventTypes.movingToPano

  - Defined in lib/five/application/events-legacy.ts:287

### network

- network(
  source: string,
  type: NetworkType,
  state: NetworkState,
  detail: string,
  ): void

  网络资源分析

  #### Parameters

  - source: string

    资源地址

  - type: NetworkType
  - state: NetworkState

    状态

  - detail: string

    详情

  #### Returns void

  Inherited from EventTypes.network

  - Defined in lib/five/application/events-legacy.ts:507

### network.resource

- "network.resource"(event: NetworkResourceEvent): void

  网络资源

  #### Parameters

  - event: NetworkResourceEvent

  #### Returns void

  Inherited from EventTypes.network.resource

  - Defined in lib/five/application/events.ts:121

### panGesture

- panGesture(pose: Pose, final: boolean): void

  pan 手势(滑动屏幕) 被触发

  #### Parameters

  - pose: Pose

    相机姿态

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.panGesture

  - Defined in lib/five/application/events-legacy.ts:88

### pano.arrived

- "pano.arrived"(event: PanoEvent): void

  运动到达点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.arrived

  - Defined in lib/five/controllers/events.ts:59

### pano.cancel

- "pano.cancel"(event: PanoEvent): void

  取消运动点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.cancel

  - Defined in lib/five/controllers/events.ts:62

### pano.error

- "pano.error"(event: PanoEvent): void

  运动点位出错

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.error

  - Defined in lib/five/controllers/events.ts:65

### pano.moveTo

- "pano.moveTo"(event: PanoEvent): void

  运动去点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.moveTo

  - Defined in lib/five/controllers/events.ts:53

### pano.moving

- "pano.moving"(event: PanoEvent): void

  运动点位过程

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.moving

  - Defined in lib/five/controllers/events.ts:56

### pano.prepare

- "pano.prepare"(event: PanoPrepareEvent): void

  准备点位

  #### Parameters

  - event: PanoPrepareEvent

  #### Returns void

  Inherited from EventTypes.pano.prepare

  - Defined in lib/five/controllers/events.ts:50

### pano.request

- "pano.request"(event: PanoEvent): void

  请求点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.request

  - Defined in lib/five/application/events.ts:55

### pano.select

- "pano.select"(event: PanoEvent): void

  选择

  #### Parameters

  - event: PanoEvent

  #### Returns void

  Inherited from EventTypes.pano.select

  - Defined in lib/five/controllers/events.ts:44

### pano.texture.abort

- "pano.texture.abort"(event: PanoTextureEvent): void

  加载全景材质中止

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  Inherited from EventTypes.pano.texture.abort

  - Defined in lib/five/controllers/events.ts:80

### pano.texture.error

- "pano.texture.error"(event: PanoTextureEvent): void

  加载全景材质失败

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  Inherited from EventTypes.pano.texture.error

  - Defined in lib/five/controllers/events.ts:77

### pano.texture.load

- "pano.texture.load"(event: PanoTextureEvent): void

  加载全景材质

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  Inherited from EventTypes.pano.texture.load

  - Defined in lib/five/controllers/events.ts:68

### pano.texture.progress

- "pano.texture.progress"(event: PanoTextureEvent): void

  加载全景材质进度

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  Inherited from EventTypes.pano.texture.progress

  - Defined in lib/five/controllers/events.ts:71

### pano.texture.success

- "pano.texture.success"(event: PanoTextureEvent): void

  加载全景材质成功

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  Inherited from EventTypes.pano.texture.success

  - Defined in lib/five/controllers/events.ts:74

### panoArrived

- panoArrived(panoIndex: number, pose: Pose, userAction: boolean): void

  移动到某个观察点位

  #### Parameters

  - panoIndex: number

    移动到点位

  - pose: Pose

    相机姿态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.panoArrived

  - Defined in lib/five/application/events-legacy.ts:319

### panoLoaded

- panoLoaded(panoIndex: number): void

  某个观察点的全景资源加载完成

  #### Parameters

  - panoIndex: number

    对应的点位

  #### Returns void

  Inherited from EventTypes.panoLoaded

  - Defined in lib/five/application/events-legacy.ts:299

### panoLoadError

- panoLoadError(error: Error, panoIndex: number): void

  某个观察点的全景资源加载失败

  #### Parameters

  - error: Error

    错误对象

  - panoIndex: number

    对应的点位

  #### Returns void

  Inherited from EventTypes.panoLoadError

  - Defined in lib/five/application/events-legacy.ts:326

### panoSelected

- panoSelected(panoIndex: number | null): void

  观察点位被选择

  #### Parameters

  - panoIndex: number | null

    选择的点位

  #### Returns void

  Inherited from EventTypes.panoSelected

  - Defined in lib/five/application/events-legacy.ts:268

### panoWillArrive

- panoWillArrive(panoIndex: number, pose: Pose, userAction: boolean): void

  开始移动到某个观察点位

  #### Parameters

  - panoIndex: number

    移动到点位

  - pose: Pose

    相机姿态

  - userAction: boolean

    是否用户触发

  #### Returns void

  #### Description

  和 moveToPano 相比

  - moveToPano 在加载全景图资源前触发
  - panoWillArrive 在加载全景图资源后触发

  Inherited from EventTypes.panoWillArrive

  - Defined in lib/five/application/events-legacy.ts:311

### panoWillLoad

- panoWillLoad(panoIndex: number): void

  开始加载某个观察点的全景资源

  #### Parameters

  - panoIndex: number

    移动到的点位

  #### Returns void

  Inherited from EventTypes.panoWillLoad

  - Defined in lib/five/application/events-legacy.ts:293

### pinchGesture

- pinchGesture(scale: number, fov: number, final: boolean): void

  pinch 手势(双指缩放) 被触发

  #### Parameters

  - scale: number

    缩放数值

  - fov: number

    意图的fov变更

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.pinchGesture

  - Defined in lib/five/application/events-legacy.ts:158

### pressGesture

- pressGesture(
  raycaster: Raycaster,
  tapPosition: Vector2,
  duration: number,
  final: boolean,
  ): void

  tap 手势(点击屏幕) 被触发

  #### Parameters

  - raycaster: Raycaster

    点击对应的三维射线

  - tapPosition: Vector2

    点击对应的屏幕位置

  - duration: number

    长按持续时间

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.pressGesture

  - Defined in lib/five/application/events-legacy.ts:150

### render

- render(event: RenderEvent): void

  渲染后

  #### Parameters

  - event: RenderEvent

  #### Returns void

  Inherited from EventTypes.render

  - Defined in lib/five/application/events.ts:109

### render.prepare

- "render.prepare"(event: RenderEvent): void

  渲染前

  #### Parameters

  - event: RenderEvent

  #### Returns void

  Inherited from EventTypes.render.prepare

  - Defined in lib/five/application/events.ts:106

### renderFrame

- renderFrame(rendered: boolean): void

  渲染循环

  #### Parameters

  - rendered: boolean

    是否渲染了

  #### Returns void

  Inherited from EventTypes.renderFrame

  - Defined in lib/five/application/events-legacy.ts:475

### setState

- setState(state: State): void

  当 setState 方法被调用

  #### Parameters

  - state: State

    当前姿态状态

  #### Returns void

  Inherited from EventTypes.setState

  - Defined in lib/five/application/events-legacy.ts:438

### state.change

- "state.change"(event: StateEvent): void

  当 state 变化

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.state.change

  - Defined in lib/five/application/events.ts:73

### state.set

- "state.set"(event: StateEvent): void

  设置 state

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.state.set

  - Defined in lib/five/application/events.ts:70

### state.synced

- "state.synced"(event: StateEvent): void

  当 state 同步完成

  #### Parameters

  - event: StateEvent

  #### Returns void

  Inherited from EventTypes.state.synced

  - Defined in lib/five/application/events.ts:76

### stateChange

- stateChange(state: State, userAction: boolean): void

  当目标 state 变化时

  #### Parameters

  - state: State

    当前姿态状态

  - userAction: boolean

    是否用户触发

  #### Returns void

  Inherited from EventTypes.stateChange

  - Defined in lib/five/application/events-legacy.ts:425

### stateSynced

- stateSynced(state: State): void

  当 state 被同步完成时

  #### Parameters

  - state: State

    当前姿态状态

  #### Returns void

  Inherited from EventTypes.stateSynced

  - Defined in lib/five/application/events-legacy.ts:444

### tapGesture

- tapGesture(raycaster: Raycaster, tapPosition: Vector2, final: boolean): void

  tap 手势(点击屏幕) 被触发

  #### Parameters

  - raycaster: Raycaster

    点击对应的三维射线

  - tapPosition: Vector2

    点击对应的屏幕位置

  - final: boolean

    是否手势结束

  #### Returns void

  Inherited from EventTypes.tapGesture

  - Defined in lib/five/application/events-legacy.ts:105

### textureAbort

- textureAbort(panoIndex: number): void

  观察点的全景资源加载被中止

  #### Parameters

  - panoIndex: number

    加载点位

  #### Returns void

  Inherited from EventTypes.textureAbort

  - Defined in lib/five/application/events-legacy.ts:356

### textureError

- textureError(error: Error, panoIndex: number): void

  观察点的全景资源加载失败

  #### Parameters

  - error: Error

    错误对象

  - panoIndex: number

    加载点位

  #### Returns void

  Inherited from EventTypes.textureError

  - Defined in lib/five/application/events-legacy.ts:363

### textureLoaded

- textureLoaded(panoIndex: number, meta: (NetWorkMeta | null)[]): void

  观察点的全景资源加载完成

  #### Parameters

  - panoIndex: number

    加载点位

  - meta: (NetWorkMeta | null)[]

  #### Returns void

  Inherited from EventTypes.textureLoaded

  - Defined in lib/five/application/events-legacy.ts:369

### textureLoading

- textureLoading(progress: number, panoIndex: number): void

  观察点的全景资源加载中，可获取到进度

  #### Parameters

  - progress: number

    加载进度 [0-1]

  - panoIndex: number

    加载点位下标

  #### Returns void

  Inherited from EventTypes.textureLoading

  - Defined in lib/five/application/events-legacy.ts:350

### textureStartLoad

- textureStartLoad(panoIndex: number): void

  观察点的全景资源开始加载

  #### Parameters

  - panoIndex: number

    加载点位

  #### Returns void

  Inherited from EventTypes.textureStartLoad

  - Defined in lib/five/application/events-legacy.ts:343

### wantsChangeCameraFov

- wantsChangeCameraFov(fov: number): false | void

  意图要变化相机的可视角度 可以通过 `return false` 阻止

  #### Parameters

  - fov: number

    意图要变化相机的可视角度

  #### Returns false | void

  可以通过 `return false` 阻止

  #### Deprecated

  建议通过 初始化设置的 `defaultFov`, `maxFov`, `minFov` 来限制

  Inherited from EventTypes.wantsChangeCameraFov

  - Defined in lib/five/application/events-legacy.ts:198

### wantsChangeMode

- wantsChangeMode(mode: Mode, prevMode: Mode): false | void

  意图要切换到某个模态， 可以通过 return false 阻止

  #### Parameters

  - mode: Mode

    意图要切换到的模态

  - prevMode: Mode

    当前模态

  #### Returns false | void

  可以通过 return false 阻止

  Inherited from EventTypes.wantsChangeMode

  - Defined in lib/five/application/events-legacy.ts:483

### wantsDblTapGesture

- wantsDblTapGesture(
  raycaster: Raycaster,
  tapPosition: Vector2,
  final: boolean,
  ): false | void

  意图要触发 dlbtap 手势(点击屏幕)， 可以通过 `return false` 阻止

  #### Parameters

  - raycaster: Raycaster

    点击对应的三维射线

  - tapPosition: Vector2

    点击对应的屏幕位置

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsDblTapGesture

  - Defined in lib/five/application/events-legacy.ts:114

### wantsGesture

- wantsGesture(
  type: GestureTypes,
  pointers: { delta?: number; x: number; y: number }[],
  final: boolean,
  ): false | void

  意图要触发手势， 可以通过 `return false` 阻止

  #### Parameters

  - type: GestureTypes

    手势类型

  - pointers: { delta?: number; x: number; y: number }[]

    手指位置

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsGesture

  - Defined in lib/five/application/events-legacy.ts:65

### wantsInteriaPan

- wantsInteriaPan(pose: Pose): false | void

  意图要触发 pan 手势(滑动屏幕) 的惯性运动, 可以通过 `return false` 阻止

  #### Parameters

  - pose: Pose

    意图的相机姿态

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsInteriaPan

  - Defined in lib/five/application/events-legacy.ts:182

### wantsMouseWheel

- wantsMouseWheel(delta: number, nextFov: number, final: boolean): false | void

  意图要触发 鼠标滚轮 可以通过 `return false` 阻止

  #### Parameters

  - delta: number

    滚轮数值

  - nextFov: number

    意图的fov变更

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsMouseWheel

  - Defined in lib/five/application/events-legacy.ts:167

### wantsMoveToPano

- wantsMoveToPano(
  panoIndex: number,
  options: MovePanoOptions,
  userAction: boolean,
  ): false | void

  意图要移动到某个点时, 可以通过 return false 阻止

  #### Parameters

  - panoIndex: number

    意图要移动到点位

  - options: MovePanoOptions

    移动参数

  - userAction: boolean

    是否用户触发

  #### Returns false | void

  可以通过 return false 阻止

  Inherited from EventTypes.wantsMoveToPano

  - Defined in lib/five/application/events-legacy.ts:252

### wantsPanGesture

- wantsPanGesture(pose: Pose, final: boolean): false | void

  意图要触发 pan 手势(滑动屏幕)， 可以通过 `return false` 阻止

  #### Parameters

  - pose: Pose

    意图的相机姿态

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsPanGesture

  - Defined in lib/five/application/events-legacy.ts:81

### wantsPinchGesture

- wantsPinchGesture(scale: number, nextFov: number, final: boolean): false | void

  意图要触发 pinch 手势(双指缩放)，可以通过 `return false` 阻止

  #### Parameters

  - scale: number

    缩放数值

  - nextFov: number

    意图的fov变更

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsPinchGesture

  - Defined in lib/five/application/events-legacy.ts:131

### wantsPressGesture

- wantsPressGesture(
  raycaster: Raycaster,
  tapPosition: Vector2,
  duration: number,
  final: boolean,
  ): false | void

  意图要触发 press 手势(长按屏幕)， 可以通过 `return false` 阻止

  #### Parameters

  - raycaster: Raycaster

    长按对应的三维射线

  - tapPosition: Vector2

    长按对应的屏幕位置

  - duration: number

    长按持续时间

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsPressGesture

  - Defined in lib/five/application/events-legacy.ts:141

### wantsShowIntersectionOnModel

- wantsShowIntersectionOnModel(raycaster: Raycaster): false | void

  意图要展示鼠标焦点环，可以通过 `return false` 阻止

  #### Parameters

  - raycaster: Raycaster

    射线

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsShowIntersectionOnModel

  - Defined in lib/five/application/events-legacy.ts:240

### wantsTapGesture

- wantsTapGesture(
  raycaster: Raycaster,
  tapPosition: Vector2,
  final: boolean,
  ): false | void

  意图要触发 tap 手势(点击屏幕)， 可以通过 `return false` 阻止

  #### Parameters

  - raycaster: Raycaster

    点击对应的三维射线

  - tapPosition: Vector2

    点击对应的屏幕位置

  - final: boolean

    是否手势结束

  #### Returns false | void

  可以通过 `return false` 阻止

  Inherited from EventTypes.wantsTapGesture

  - Defined in lib/five/application/events-legacy.ts:97

### wantsToMoveToPano

- wantsToMoveToPano(
  panoIndex: number,
  options: MovePanoOptions,
  userAction: boolean,
  ): void

  同 wantsMoveToPano

  #### Parameters

  - panoIndex: number

    意图要移动到点位

  - options: MovePanoOptions

    移动参数

  - userAction: boolean

    是否用户触发

  #### Returns void

  可以通过 return false 阻止

  #### Description

  Inherited from EventTypes.wantsToMoveToPano

  - Defined in lib/five/application/events-legacy.ts:262

### webXRAxesUpdate

- webXRAxesUpdate(type: "left" | "right", param: WebXRAxesParams): void

  xr控制器的Axes原始实时数据状态

  #### Parameters

  - type: "left" | "right"
  - param: WebXRAxesParams

  #### Returns void

  Inherited from EventTypes.webXRAxesUpdate

  - Defined in lib/five/application/events-legacy.ts:388

### webXRControllerEvent

- webXRControllerEvent(
  type: WebXRControllerType,
  key:
  | "Y"
  | "X"
  | "B"
  | "A"
  | "RightTrigger"
  | "RightPinch"
  | "LeftTrigger"
  | "LeftPinch"
  | "LeftAxesLeft"
  | "LeftAxesRight"
  | "LeftAxesUp"
  | "LeftAxesDown"
  | "RightAxesLeft"
  | "RightAxesRight"
  | "RightAxesUp"
  | "RightAxesDown",
  params: WebXRControllerParams,
  ): void

  axes代表控制杆，axes数组的0-1元素分别代表左控制器的左（-1）右（1）,左控制器的上（-1）下（1），axes数组的2-3元素同理

  #### Parameters

  - type: WebXRControllerType
  - key:
    | "Y"
    | "X"
    | "B"
    | "A"
    | "RightTrigger"
    | "RightPinch"
    | "LeftTrigger"
    | "LeftPinch"
    | "LeftAxesLeft"
    | "LeftAxesRight"
    | "LeftAxesUp"
    | "LeftAxesDown"
    | "RightAxesLeft"
    | "RightAxesRight"
    | "RightAxesUp"
    | "RightAxesDown"
  - params: WebXRControllerParams

  #### Returns void

  Inherited from EventTypes.webXRControllerEvent

  - Defined in lib/five/application/events-legacy.ts:384

### webXRControllerRayUpdate

- webXRControllerRayUpdate(
  raycaster: { leftRay?: Raycaster; rightRay?: Raycaster },
  ): void

  xr控制器的控制器射线更新

  #### Parameters

  - raycaster: { leftRay?: Raycaster; rightRay?: Raycaster }

  #### Returns void

  Inherited from EventTypes.webXRControllerRayUpdate

  - Defined in lib/five/application/events-legacy.ts:392

### webXRSessionEnd

- webXRSessionEnd(): void

  webXR模式结束,webxr session销毁

  #### Returns void

  Inherited from EventTypes.webXRSessionEnd

  - Defined in lib/five/application/events-legacy.ts:379

### webXRSessionStart

- webXRSessionStart(): void

  webXR模式开始，webxr session完成坐标系矫正

  #### Returns void

  Inherited from EventTypes.webXRSessionStart

  - Defined in lib/five/application/events-legacy.ts:374

### willLoad

- willLoad(input: any, work: Work, state: Partial<State>): void

  准备加载 Work 数据

  #### Parameters

  - input: any

    输入的 work

  - work: Work

    归一化的标准 work

  - state: Partial<State>

    加载时的姿态

  #### Returns void

  Inherited from EventTypes.willLoad

  - Defined in lib/five/application/events-legacy.ts:403

### works.load

- "works.load"(event: WorksEvent): void

  加载 work

  #### Parameters

  - event: WorksEvent

  #### Returns void

  Inherited from EventTypes.works.load

  - Defined in lib/five/application/events.ts:64

### works.ready

- "works.ready"(event: WorksEvent): void

  加载 work 并 controller ready

  #### Parameters

  - event: WorksEvent

  #### Returns void

  Inherited from EventTypes.works.ready

  - Defined in lib/five/application/events.ts:67

### works.request

- "works.request"(event: WorksEvent): void

  请求 work数据

  #### Parameters

  - event: WorksEvent

  #### Returns void

  Inherited from EventTypes.works.request

  - Defined in lib/five/application/events.ts:61

### xr.controller.update

- "xr.controller.update"(event: XRControllerEvent): void

  XR手柄更新

  #### Parameters

  - event: XRControllerEvent

  #### Returns void

  Inherited from EventTypes.xr.controller.update

  - Defined in lib/five/controllers/events.ts:104

### xr.gesture.buttonDown

- "xr.gesture.buttonDown"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  Inherited from EventTypes.xr.gesture.buttonDown

  - Defined in lib/five/controllers/events.ts:101

### xr.gesture.buttonUp

- "xr.gesture.buttonUp"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  Inherited from EventTypes.xr.gesture.buttonUp

  - Defined in lib/five/controllers/events.ts:98

### xr.gesture.press

- "xr.gesture.press"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  Inherited from EventTypes.xr.gesture.press

  - Defined in lib/five/controllers/events.ts:95

### xr.gesture.tap

- "xr.gesture.tap"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  Inherited from EventTypes.xr.gesture.tap

  - Defined in lib/five/controllers/events.ts:92

### xr.session.end

- "xr.session.end"(event: XRSessionEvent): void

  XR 退出

  #### Parameters

  - event: XRSessionEvent

  #### Returns void

  Inherited from EventTypes.xr.session.end

  - Defined in lib/five/controllers/events.ts:86

### xr.session.start

- "xr.session.start"(event: XRSessionEvent): void

  XR 进入

  #### Parameters

  - event: XRSessionEvent

  #### Returns void

  Inherited from EventTypes.xr.session.start

  - Defined in lib/five/controllers/events.ts:89